Bug 325526 - Crash while tagging faces
Summary: Crash while tagging faces
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 3.4.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-10-02 01:11 UTC by Lucas Linard
Modified: 2019-12-23 06:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Linard 2013-10-02 01:11:54 UTC
Application: digikam (3.4.0)
KDE Platform Version: 4.11.1
Qt Version: 4.8.5
Operating System: Linux 3.11.1-200.fc19.x86_64 x86_64
Distribution: "Fedora release 19 (Schrödinger’s Cat)"

-- Information about the crash:
- What I was doing when the application crashed:
Tagging faces after asking digikam to try to recognize faces.
- Unusual behavior I noticed:
It crashes.

The crash can be reproduced sometimes.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7f3517a96ac0 (LWP 25258))]

Thread 15 (Thread 0x7f350a7dd700 (LWP 25260)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x0000003421a7b1e6 in wait (time=18446744073709551615, this=0x24f5230) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x24f5140, mutex=mutex@entry=0x24f5138, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005d5d1e in Digikam::ScanController::run (this=0x24f4ed0) at /usr/src/debug/digikam-3.4.0/core/digikam/database/scancontroller.cpp:725
#4  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x24f4ed0) at thread/qthread_unix.cpp:338
#5  0x0000003417a07c53 in start_thread (arg=0x7f350a7dd700) at pthread_create.c:308
#6  0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7f3509fdc700 (LWP 25261)):
#0  0x00000034172eb84d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000341ae480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f34fc0029b0, timeout=-1, context=0x7f34fc0009a0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7f34fc0009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x000000341ae481fc in g_main_context_iteration (context=0x7f34fc0009a0, may_block=1) at gmain.c:3762
#4  0x0000003421ba7166 in QEventDispatcherGlib::processEvents (this=0x7f34fc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x0000003421b78ecf in QEventLoop::processEvents (this=this@entry=0x7f3509fdbae0, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003421b791c5 in QEventLoop::exec (this=this@entry=0x7f3509fdbae0, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003421a7866f in QThread::exec (this=this@entry=0x25e3660) at thread/qthread.cpp:536
#8  0x0000003421b5a733 in QInotifyFileSystemWatcherEngine::run (this=0x25e3660) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x25e3660) at thread/qthread_unix.cpp:338
#10 0x0000003417a07c53 in start_thread (arg=0x7f3509fdc700) at pthread_create.c:308
#11 0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7f35097db700 (LWP 25263)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x0000003421a7b1e6 in wait (time=18446744073709551615, this=0x25ead80) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x26513b0, mutex=mutex@entry=0x26513a8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x000000344e55599a in Digikam::ParkingThread::run (this=0x2651390) at /usr/src/debug/digikam-3.4.0/core/libs/threads/threadmanager.cpp:119
#4  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x2651390) at thread/qthread_unix.cpp:338
#5  0x0000003417a07c53 in start_thread (arg=0x7f35097db700) at pthread_create.c:308
#6  0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7f34eed7c700 (LWP 25271)):
#0  0x000000341ae86f9a in g_mutex_get_impl (mutex=0x7f34e00009a0) at gthread-posix.c:121
#1  0x000000341ae87279 in g_mutex_unlock (mutex=mutex@entry=0x7f34e00009a0) at gthread-posix.c:229
#2  0x000000341ae47790 in g_main_context_prepare (context=context@entry=0x7f34e00009a0, priority=priority@entry=0x7f34eed7b978) at gmain.c:3326
#3  0x000000341ae48013 in g_main_context_iterate (context=context@entry=0x7f34e00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3681
#4  0x000000341ae481fc in g_main_context_iteration (context=0x7f34e00009a0, may_block=1) at gmain.c:3762
#5  0x0000003421ba7166 in QEventDispatcherGlib::processEvents (this=0x7f34e00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#6  0x0000003421b78ecf in QEventLoop::processEvents (this=this@entry=0x7f34eed7bab0, flags=...) at kernel/qeventloop.cpp:149
#7  0x0000003421b791c5 in QEventLoop::exec (this=this@entry=0x7f34eed7bab0, flags=...) at kernel/qeventloop.cpp:204
#8  0x000000344e555043 in Digikam::WorkerObjectRunnable::run (this=0x7f34d004bd00) at /usr/src/debug/digikam-3.4.0/core/libs/threads/threadmanager.cpp:196
#9  0x0000003421a6e83e in QThreadPoolThread::run (this=0x3e8eb30) at concurrent/qthreadpool.cpp:107
#10 0x0000003421a7ad0f in QThreadPrivate::start (arg=0x3e8eb30) at thread/qthread_unix.cpp:338
#11 0x0000003417a07c53 in start_thread (arg=0x7f34eed7c700) at pthread_create.c:308
#12 0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7f347705e700 (LWP 25311)):
#0  0x0000003421ba87e2 in QTimerInfoList::timerWait (this=0x7f3450002860, tm=...) at kernel/qeventdispatcher_unix.cpp:459
#1  0x0000003421ba6f9c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f347705d924) at kernel/qeventdispatcher_glib.cpp:136
#2  0x0000003421ba7045 in timerSourcePrepare (source=<optimized out>, timeout=timeout@entry=0x7f347705d924) at kernel/qeventdispatcher_glib.cpp:169
#3  0x000000341ae4779d in g_main_context_prepare (context=context@entry=0x7f34500009a0, priority=priority@entry=0x7f347705d9a8) at gmain.c:3328
#4  0x000000341ae48013 in g_main_context_iterate (context=context@entry=0x7f34500009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3681
#5  0x000000341ae481fc in g_main_context_iteration (context=0x7f34500009a0, may_block=1) at gmain.c:3762
#6  0x0000003421ba7166 in QEventDispatcherGlib::processEvents (this=0x7f34500008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#7  0x0000003421b78ecf in QEventLoop::processEvents (this=this@entry=0x7f347705dae0, flags=...) at kernel/qeventloop.cpp:149
#8  0x0000003421b791c5 in QEventLoop::exec (this=this@entry=0x7f347705dae0, flags=...) at kernel/qeventloop.cpp:204
#9  0x0000003421a7866f in QThread::exec (this=this@entry=0x5146130) at thread/qthread.cpp:536
#10 0x0000003421b5a733 in QInotifyFileSystemWatcherEngine::run (this=0x5146130) at io/qfilesystemwatcher_inotify.cpp:256
#11 0x0000003421a7ad0f in QThreadPrivate::start (arg=0x5146130) at thread/qthread_unix.cpp:338
#12 0x0000003417a07c53 in start_thread (arg=0x7f347705e700) at pthread_create.c:308
#13 0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7f3467192700 (LWP 25312)):
#0  0x00000034172eb84d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000341ae480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x7f34440029b0, timeout=-1, context=0x7f34440009a0) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x7f34440009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x000000341ae481fc in g_main_context_iteration (context=0x7f34440009a0, may_block=1) at gmain.c:3762
#4  0x0000003421ba7166 in QEventDispatcherGlib::processEvents (this=0x7f34440008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x0000003421b78ecf in QEventLoop::processEvents (this=this@entry=0x7f3467191ae0, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003421b791c5 in QEventLoop::exec (this=this@entry=0x7f3467191ae0, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003421a7866f in QThread::exec (this=this@entry=0x4a7ae00) at thread/qthread.cpp:536
#8  0x0000003421b5a733 in QInotifyFileSystemWatcherEngine::run (this=0x4a7ae00) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x4a7ae00) at thread/qthread_unix.cpp:338
#10 0x0000003417a07c53 in start_thread (arg=0x7f3467192700) at pthread_create.c:308
#11 0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7f34620e8700 (LWP 25313)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000343c2cd34d in WTF::TCMalloc_PageHeap::scavengerThread (this=<optimized out>) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/FastMalloc.cpp:2571
#2  0x000000343c2cd389 in WTF::TCMalloc_PageHeap::runScavengerThread (context=<optimized out>) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/FastMalloc.cpp:1767
#3  0x0000003417a07c53 in start_thread (arg=0x7f34620e8700) at pthread_create.c:308
#4  0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7f34616de700 (LWP 25314)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x000000343c00dadd in JSC::BlockAllocator::blockFreeingThreadMain (this=0x7f34e808d398) at /usr/src/debug/webkit-qtwebkit-23/Source/JavaScriptCore/heap/BlockAllocator.cpp:128
#2  0x000000343c2fcba6 in WTF::wtfThreadEntryPoint (param=0x4c58660) at /usr/src/debug/webkit-qtwebkit-23/Source/WTF/wtf/ThreadingPthreads.cpp:196
#3  0x0000003417a07c53 in start_thread (arg=0x7f34616de700) at pthread_create.c:308
#4  0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7f3460add700 (LWP 25322)):
#0  0x00000034172eb84d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x000000341ae480f4 in g_main_context_poll (priority=2147483647, n_fds=1, fds=0x5570a00, timeout=5376, context=0x57e4a60) at gmain.c:3995
#2  g_main_context_iterate (context=context@entry=0x57e4a60, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3696
#3  0x000000341ae481fc in g_main_context_iteration (context=0x57e4a60, may_block=1) at gmain.c:3762
#4  0x0000003421ba7166 in QEventDispatcherGlib::processEvents (this=0x4a28d60, flags=...) at kernel/qeventdispatcher_glib.cpp:427
#5  0x0000003421b78ecf in QEventLoop::processEvents (this=this@entry=0x7f3460adcb20, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003421b791c5 in QEventLoop::exec (this=this@entry=0x7f3460adcb20, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003421a7866f in QThread::exec (this=<optimized out>) at thread/qthread.cpp:536
#8  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x67c4000) at thread/qthread_unix.cpp:338
#9  0x0000003417a07c53 in start_thread (arg=0x7f3460add700) at pthread_create.c:308
#10 0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7f34e8db6700 (LWP 26383)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x0000003421a7b1c4 in wait (time=30000, this=0x2514ee0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x2650478, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003421a6e935 in QThreadPoolThread::run (this=0x39d55f0) at concurrent/qthreadpool.cpp:141
#4  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x39d55f0) at thread/qthread_unix.cpp:338
#5  0x0000003417a07c53 in start_thread (arg=0x7f34e8db6700) at pthread_create.c:308
#6  0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7f34a9ffb700 (LWP 26384)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x0000003421a7b1c4 in wait (time=30000, this=0x2514ee0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x2650478, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003421a6e935 in QThreadPoolThread::run (this=0x3e8fd10) at concurrent/qthreadpool.cpp:141
#4  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x3e8fd10) at thread/qthread_unix.cpp:338
#5  0x0000003417a07c53 in start_thread (arg=0x7f34a9ffb700) at pthread_create.c:308
#6  0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f34f4f72700 (LWP 26394)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x0000003421a7b1c4 in wait (time=30000, this=0x2514ee0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x2650478, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003421a6e935 in QThreadPoolThread::run (this=0x3c9ffb0) at concurrent/qthreadpool.cpp:141
#4  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x3c9ffb0) at thread/qthread_unix.cpp:338
#5  0x0000003417a07c53 in start_thread (arg=0x7f34f4f72700) at pthread_create.c:308
#6  0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f34e95b7700 (LWP 26413)):
#0  _IO_vfprintf_internal (s=s@entry=0x7f34e95b5c90, format=<optimized out>, format@entry=0x3423e49b28 "LANGUAGE=%s", ap=ap@entry=0x7f34e95b5e08) at vfprintf.c:2010
#1  0x000000341730af75 in ___vsnprintf_chk (s=0x25d2ee0 "LANGUAGE=", maxlen=<optimized out>, flags=1, slen=<optimized out>, format=0x3423e49b28 "LANGUAGE=%s", args=args@entry=0x7f34e95b5e08) at vsnprintf_chk.c:63
#2  0x000000341730aed8 in ___snprintf_chk (s=<optimized out>, maxlen=maxlen@entry=42, flags=flags@entry=1, slen=slen@entry=18446744073709551615, format=format@entry=0x3423e49b28 "LANGUAGE=%s") at snprintf_chk.c:35
#3  0x0000003423dba0bf in snprintf (__fmt=0x3423e49b28 "LANGUAGE=%s", __n=42, __s=<optimized out>) at /usr/include/bits/stdio2.h:65
#4  KCatalogPrivate::setupGettextEnv (this=0x4b63750) at /usr/src/debug/kdelibs-4.11.1/kdecore/localization/kcatalog.cpp:183
#5  0x0000003423dbadde in KCatalog::translateStrict (this=0x4b60110, msgctxt=msgctxt@entry=0x7f3508dd7b91 "QSQLiteResult", msgid=msgid@entry=0x7f3508dd7c3e "Unable to fetch row") at /usr/src/debug/kdelibs-4.11.1/kdecore/localization/kcatalog.cpp:262
#6  0x0000003423dd28f3 in KLocalePrivate::translateRawFrom (this=<optimized out>, catname=<optimized out>, msgctxt=0x7f3508dd7b91 "QSQLiteResult", msgid=0x7f3508dd7c3e "Unable to fetch row", msgid_plural=0x0, n=0, language=0x7f34e95b6090, translation=0x7f34e95b6080) at /usr/src/debug/kdelibs-4.11.1/kdecore/localization/klocale_kde.cpp:954
#7  0x0000003423dd2df6 in KLocalePrivate::translateQt (this=0x2582400, context=0x7f3508dd7b91 "QSQLiteResult", sourceText=0x7f3508dd7c3e "Unable to fetch row", comment=0x0) at /usr/src/debug/kdelibs-4.11.1/kdecore/localization/klocale_kde.cpp:1019
#8  0x0000003423dc62e1 in KLocale::translateQt (this=<optimized out>, context=context@entry=0x7f3508dd7b91 "QSQLiteResult", sourceText=sourceText@entry=0x7f3508dd7c3e "Unable to fetch row", comment=comment@entry=0x0) at /usr/src/debug/kdelibs-4.11.1/kdecore/localization/klocale.cpp:199
#9  0x0000003423d4df01 in KDETranslator::translate (this=<optimized out>, context=0x7f3508dd7b91 "QSQLiteResult", sourceText=0x7f3508dd7c3e "Unable to fetch row", message=0x0) at /usr/src/debug/kdelibs-4.11.1/kdecore/kernel/kglobal_p.h:52
#10 0x0000003421b983fa in QTranslator::translate (this=<optimized out>, context=context@entry=0x7f3508dd7b91 "QSQLiteResult", sourceText=sourceText@entry=0x7f3508dd7c3e "Unable to fetch row", disambiguation=disambiguation@entry=0x0, n=n@entry=-1) at kernel/qtranslator.cpp:1029
#11 0x0000003421b7a78b in QCoreApplication::translate (context=context@entry=0x7f3508dd7b91 "QSQLiteResult", sourceText=sourceText@entry=0x7f3508dd7c3e "Unable to fetch row", disambiguation=disambiguation@entry=0x0, encoding=encoding@entry=QCoreApplication::CodecForTr, n=n@entry=-1) at kernel/qcoreapplication.cpp:1968
#12 0x0000003421b7ab6f in QCoreApplication::translate (context=context@entry=0x7f3508dd7b91 "QSQLiteResult", sourceText=sourceText@entry=0x7f3508dd7c3e "Unable to fetch row", disambiguation=disambiguation@entry=0x0, encoding=encoding@entry=QCoreApplication::CodecForTr) at kernel/qcoreapplication.cpp:1883
#13 0x00007f3508dd6662 in QSQLiteResultPrivate::fetchNext (this=this@entry=0x7f34b004a710, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:302
#14 0x00007f3508dd6e38 in QSQLiteResult::exec (this=0x7f34b0001a40) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#15 0x0000003429810b9d in QSqlQuery::exec (this=this@entry=0x7f34e95b6568) at kernel/qsqlquery.cpp:949
#16 0x000000344e50eda6 in Digikam::DatabaseCoreBackend::exec (this=0x249a5a0, query=...) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1414
#17 0x000000344e50f06e in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x249a5a0, query=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1085
#18 0x000000344e510115 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x249a5a0, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=...) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:1030
#19 0x000000344e510169 in Digikam::DatabaseCoreBackend::execSql (this=0x249a5a0, sql=..., boundValue1=..., boundValue2=..., boundValue3=..., boundValue4=..., values=values@entry=0x0, lastInsertId=lastInsertId@entry=0x7f34e95b65d0) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/databasecorebackend.cpp:928
#20 0x000000344e51bfa0 in Digikam::ThumbnailDB::insertThumbnail (this=0x25e6f30, info=..., lastInsertId=lastInsertId@entry=0x7f34e95b6750) at /usr/src/debug/digikam-3.4.0/core/libs/database/core/thumbnaildb.cpp:260
#21 0x000000344e540438 in Digikam::ThumbnailCreator::storeInDatabase (this=this@entry=0x28d5830, info=..., image=...) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:755
#22 0x000000344e5424d9 in Digikam::ThumbnailCreator::load (this=0x28d5830, path=..., rect=..., pregenerate=pregenerate@entry=true) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:267
#23 0x000000344e542dd0 in Digikam::ThumbnailCreator::pregenerate (this=<optimized out>, path=...) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailcreator.cpp:183
#24 0x000000344e551990 in Digikam::ThumbnailLoadingTask::execute (this=0x6077e30) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/thumbnailtask.cpp:82
#25 0x000000344e529e46 in Digikam::LoadSaveThread::run (this=0x28edf50) at /usr/src/debug/digikam-3.4.0/core/libs/threadimageio/loadsavethread.cpp:136
#26 0x000000344e5577de in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x28f4250) at /usr/src/debug/digikam-3.4.0/core/libs/threads/dynamicthread.cpp:186
#27 0x0000003421a6e83e in QThreadPoolThread::run (this=0x3e8dfe0) at concurrent/qthreadpool.cpp:107
#28 0x0000003421a7ad0f in QThreadPrivate::start (arg=0x3e8dfe0) at thread/qthread_unix.cpp:338
#29 0x0000003417a07c53 in start_thread (arg=0x7f34e95b7700) at pthread_create.c:308
#30 0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f34f6608700 (LWP 26414)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x0000003421a7b1c4 in wait (time=30000, this=0x2514ee0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x2650478, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003421a6e935 in QThreadPoolThread::run (this=0x3c9fb80) at concurrent/qthreadpool.cpp:141
#4  0x0000003421a7ad0f in QThreadPrivate::start (arg=0x3c9fb80) at thread/qthread_unix.cpp:338
#5  0x0000003417a07c53 in start_thread (arg=0x7f34f6608700) at pthread_create.c:308
#6  0x00000034172f5e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f3517a96ac0 (LWP 25258)):
[KCrash Handler]
#6  QVariant::~QVariant (this=0xad00ad00000000, __in_chrg=<optimized out>) at kernel/qvariant.cpp:1411
#7  0x000000344ff35c11 in node_destruct (this=<optimized out>, n=0xf5bf9e0) at /usr/include/QtCore/qlist.h:388
#8  erase (alast=..., afirst=..., this=0x2858c28) at /usr/include/QtCore/qlist.h:803
#9  Digikam::ImageModel::removeRowPairs (this=this@entry=0x28567b0, toRemove=...) at /usr/src/debug/digikam-3.4.0/core/libs/models/imagemodel.cpp:1025
#10 0x000000344ff36ec2 in Digikam::ImageModel::finishIncrementalRefresh (this=this@entry=0x28567b0) at /usr/src/debug/digikam-3.4.0/core/libs/models/imagemodel.cpp:844
#11 0x0000000000572945 in Digikam::ImageAlbumModel::slotResult (this=0x28567b0, job=<optimized out>) at /usr/src/debug/digikam-3.4.0/core/libs/models/imagealbummodel.cpp:307
#12 0x00000000005737ac in Digikam::ImageAlbumModel::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /usr/src/debug/digikam-3.4.0/x86_64-redhat-linux-gnu/core/digikam/imagealbummodel.moc:93
#13 0x0000003421b8df78 in QMetaObject::activate (sender=sender@entry=0xf6ac240, m=m@entry=0x34240c25c0 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fffd9cc74f0) at kernel/qobject.cpp:3547
#14 0x0000003423d31ff2 in KJob::result (this=this@entry=0xf6ac240, _t1=_t1@entry=0xf6ac240) at /usr/src/debug/kdelibs-4.11.1/x86_64-redhat-linux-gnu/kdecore/kjob.moc:207
#15 0x0000003423d32030 in KJob::emitResult (this=this@entry=0xf6ac240) at /usr/src/debug/kdelibs-4.11.1/kdecore/jobs/kjob.cpp:318
#16 0x000000342a4fe80a in KIO::SimpleJob::slotFinished (this=this@entry=0xf6ac240) at /usr/src/debug/kdelibs-4.11.1/kio/kio/job.cpp:496
#17 0x000000342a4ff95e in KIO::TransferJob::slotFinished (this=0xf6ac240) at /usr/src/debug/kdelibs-4.11.1/kio/kio/job.cpp:1099
#18 0x0000003421b8df78 in QMetaObject::activate (sender=0xbf45ba0, m=m@entry=0x342a8a74a0 <KIO::SlaveInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3547
#19 0x000000342a59c353 in KIO::SlaveInterface::finished (this=<optimized out>) at /usr/src/debug/kdelibs-4.11.1/x86_64-redhat-linux-gnu/kio/slaveinterface.moc:184
#20 0x000000342a59d896 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=104, rawdata=...) at /usr/src/debug/kdelibs-4.11.1/kio/kio/slaveinterface.cpp:176
#21 0x000000342a59b38e in KIO::SlaveInterface::dispatch (this=0xbf45ba0) at /usr/src/debug/kdelibs-4.11.1/kio/kio/slaveinterface.cpp:92
#22 0x000000342a58fff6 in KIO::Slave::gotInput (this=0xbf45ba0) at /usr/src/debug/kdelibs-4.11.1/kio/kio/slave.cpp:344
#23 0x0000003421b8df78 in QMetaObject::activate (sender=0xda1ee70, m=m@entry=0x342a8a09c0 <KIO::Connection::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3547
#24 0x000000342a4cbc60 in KIO::Connection::readyRead (this=<optimized out>) at /usr/src/debug/kdelibs-4.11.1/x86_64-redhat-linux-gnu/kio/connection.moc:105
#25 0x000000342a4cc351 in KIO::ConnectionPrivate::dequeue (this=0x26cbb00) at /usr/src/debug/kdelibs-4.11.1/kio/kio/connection.cpp:82
#26 0x0000003421b9232e in QObject::event (this=0xda1ee70, e=<optimized out>) at kernel/qobject.cpp:1194
#27 0x00000034247c84dc in QApplicationPrivate::notify_helper (this=this@entry=0x2436350, receiver=receiver@entry=0xda1ee70, e=e@entry=0x8c25050) at kernel/qapplication.cpp:4562
#28 0x00000034247ceaa0 in QApplication::notify (this=this@entry=0x7fffd9cc8660, receiver=receiver@entry=0xda1ee70, e=e@entry=0x8c25050) at kernel/qapplication.cpp:4348
#29 0x000000342623fd2a in KApplication::notify (this=0x7fffd9cc8660, receiver=0xda1ee70, event=0x8c25050) at /usr/src/debug/kdelibs-4.11.1/kdeui/kernel/kapplication.cpp:311
#30 0x0000003421b7a26d in QCoreApplication::notifyInternal (this=0x7fffd9cc8660, receiver=receiver@entry=0xda1ee70, event=event@entry=0x8c25050) at kernel/qcoreapplication.cpp:949
#31 0x0000003421b7d1df in sendEvent (event=0x8c25050, receiver=0xda1ee70) at kernel/qcoreapplication.h:231
#32 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x23a0470) at kernel/qcoreapplication.cpp:1573
#33 0x0000003421b7d683 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1466
#34 0x0000003421ba7883 in sendPostedEvents () at kernel/qcoreapplication.h:236
#35 postEventSourceDispatch (s=s@entry=0x2435d20) at kernel/qeventdispatcher_glib.cpp:280
#36 0x000000341ae47e06 in g_main_dispatch (context=0x2436d70) at gmain.c:3054
#37 g_main_context_dispatch (context=context@entry=0x2436d70) at gmain.c:3630
#38 0x000000341ae48158 in g_main_context_iterate (context=context@entry=0x2436d70, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3701
#39 0x000000341ae481fc in g_main_context_iteration (context=0x2436d70, may_block=1) at gmain.c:3762
#40 0x0000003421ba7145 in QEventDispatcherGlib::processEvents (this=0x23a19b0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#41 0x0000003424864fc6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#42 0x0000003421b78ecf in QEventLoop::processEvents (this=this@entry=0x7fffd9cc8140, flags=...) at kernel/qeventloop.cpp:149
#43 0x0000003421b791c5 in QEventLoop::exec (this=this@entry=0x7fffd9cc8140, flags=...) at kernel/qeventloop.cpp:204
#44 0x0000003421b7e45b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1221
#45 0x00000034247c6c9c in QApplication::exec () at kernel/qapplication.cpp:3823
#46 0x00000000004921d3 in main (argc=<optimized out>, argv=<optimized out>) at /usr/src/debug/digikam-3.4.0/core/digikam/main/main.cpp:235

The reporter indicates this bug may be a duplicate of or related to bug 323654.

Possible duplicates by query: bug 323964, bug 323654, bug 322022, bug 321851, bug 321273.

Reported using DrKonqi
Comment 1 caulier.gilles 2013-10-05 09:19:14 UTC

*** This bug has been marked as a duplicate of bug 262596 ***
Comment 2 caulier.gilles 2019-12-23 06:22:14 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier